# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::RayIntersectionGeometry Class Reference

The RayIntersectionGeometry encapsulates all the information relative to a Ray/Actor intersection, providing also extra information relative to the intersection on the Geometry in use by the Actor. More...

`#include <RayIntersector.hpp>`

Inheritance diagram for vl::RayIntersectionGeometry:

List of all members.

## Public Member Functions

virtual const char * | className ()
| Returns the name of the class.
| RayIntersectionGeometry ()
Geometry * | geometry ()
| The intersected Geometry.
const Geometry * | geometry () const
| The intersected Geometry.
Primitives * | primitives ()
| The intersected Primitives.
const Primitives * | primitives () const
| The intersected Primitives.
int | primitiveIndex () const
| The starting index of the intersected primitive inside primitives().
void | setGeometry (Geometry *g)
| The intersected Geometry.
void | setPrimitives (Primitives *p)
| The intersected Primitives.
void | setPrimitiveIndex (int p_idx)
| The starting index of the intersected primitive inside primitives().

## Protected Attributes

vec3 | mIntersectionPoint
Geometry * | mGeometry
Primitives * | mPrimitives
int | mPrimitiveIndex
float | mDistance

## Detailed Description

The RayIntersectionGeometry encapsulates all the information relative to a Ray/Actor intersection, providing also extra information relative to the intersection on the Geometry in use by the Actor.

## Constructor & Destructor Documentation

vl::RayIntersectionGeometry::RayIntersectionGeometry | ( |  | ) | `[inline]`

## Member Function Documentation

virtual const char* vl::RayIntersectionGeometry::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::RayIntersection.

Geometry* vl::RayIntersectionGeometry::geometry | ( |  | ) | `[inline]`

The intersected Geometry.

const Geometry* vl::RayIntersectionGeometry::geometry | ( |  | ) | const`[inline]`

The intersected Geometry.

Primitives* vl::RayIntersectionGeometry::primitives | ( |  | ) | `[inline]`

The intersected Primitives.

const Primitives* vl::RayIntersectionGeometry::primitives | ( |  | ) | const`[inline]`

The intersected Primitives.

int vl::RayIntersectionGeometry::primitiveIndex | ( |  | ) | const`[inline]`

The starting index of the intersected primitive inside primitives().

void vl::RayIntersectionGeometry::setGeometry | ( | Geometry * | g | ) | `[inline]`

The intersected Geometry.

void vl::RayIntersectionGeometry::setPrimitives | ( | Primitives * | p | ) | `[inline]`

The intersected Primitives.

void vl::RayIntersectionGeometry::setPrimitiveIndex | ( | int | p_idx | ) | `[inline]`

The starting index of the intersected primitive inside primitives().

## Member Data Documentation

vec3 vl::RayIntersectionGeometry::mIntersectionPoint`[protected]`

Reimplemented from vl::RayIntersection.

Geometry* vl::RayIntersectionGeometry::mGeometry`[protected]`

Primitives* vl::RayIntersectionGeometry::mPrimitives`[protected]`

int vl::RayIntersectionGeometry::mPrimitiveIndex`[protected]`

float vl::RayIntersectionGeometry::mDistance`[protected]`

Reimplemented from vl::RayIntersection.

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/RayIntersector.hpp

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:38 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.